"""Add menu and commands to Nuke's UI and register main widget as panel."""

# Import third-party modules
import nuke
import nukescripts

# Import local modules
from smartMessage import helper
from smartMessage import osl as smartmessage

# Icons for this package.
_ICONS = helper.load_icons()


def add_to_ui():
    """Add menu and commands to UI."""
    menu = nuke.menu("Nuke").addMenu("cragl/smartMessage", icon=_ICONS["logo"])
    menu.addCommand("&settings", smartmessage.showSettings)
    menu.addSeparator()
    menu.addCommand("&about", smartmessage.show_about_window)


def add_callbacks():
    """Register callbacks."""
    # auto logout on closing nuke
    # important, don't remove this
    nuke.addOnScriptClose(smartmessage.logout_on_close)


add_to_ui()
add_callbacks()

smartMessage = smartmessage.create_SmartMessagePanel
nukescripts.panels.registerWidgetAsPanel("smartMessage", "smartMessage",
                                         "cragl.smartMessage")